Bug 439123 - Shift+Delete for sending SIGKILL does not work
Summary: Shift+Delete for sending SIGKILL does not work
Status: RESOLVED FIXED
Alias: None
Product: plasma-systemmonitor
Classification: Plasma
Component: general (show other bugs)
Version: 5.22.2
Platform: Other Linux
: NOR minor
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-24 18:23 UTC by Jan Keith Darunday
Modified: 2021-06-26 00:44 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23


Attachments
Screenshot showing what happens when you shift+delete in th old system monitor (156.64 KB, image/png)
2021-06-24 18:24 UTC, Jan Keith Darunday
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Keith Darunday 2021-06-24 18:23:35 UTC
SUMMARY
In the original system monitor, selecting a process and pressing shift+delete (instead of just delete) shows a window confirming the killing of the process (not just SIGTERM).

In the new system monitor, the support for sending SIGTERM for delete was recently added but the support for shift+delete for sending SIGKILL wasn't causing a feature regression between the old and new system monitor.

STEPS TO REPRODUCE
1. Go to plasma-systemmonitor
2. Go to processes
3. Select a process
4. Press delete (works) and then ok
5. Press shift+delete (does nothing)

OBSERVED RESULT
Pressing delete and accepting the popup sends SIGTERM
Pressing shift+delete does nothing

EXPECTED RESULT
Pressing shift+delete should show a force kill popup saying that it will "immediately and forcibly kill" the process in bold then send a SIGKILL when accepted


SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.22.2
KDE Frameworks Version: 5.83.0
Qt Version: 5.15.2
Kernel Version: 5.12.12-zen1-1-zen (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-8565U CPU @ 1.80GHz
Memory: 15.4 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 620

ADDITIONAL INFORMATION
Attached screenshot shows pressing delete and shift+delete in the old system monitor.
Both Delete and Shift+Delete also work for KSysguard
Comment 1 Jan Keith Darunday 2021-06-24 18:24:13 UTC
Created attachment 139642 [details]
Screenshot showing what happens when you shift+delete in th old system monitor
Comment 2 Bug Janitor Service 2021-06-24 22:58:50 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-systemmonitor/-/merge_requests/149
Comment 3 Felipe Kinoshita 2021-06-25 04:00:38 UTC
Git commit b7d26345f8a43c9297bc46601d4f5f1fdf80a9dc by Felipe Kinoshita.
Committed on 25/06/2021 at 03:59.
Pushed by fhek into branch 'master'.

Kill process when pressing Shift+Delete

This commit makes possible to kill a process when pressing
Shift+Delete on the applications/process table.

M  +3    -0    src/faces/applicationstable/contents/ui/FullRepresentation.qml
M  +3    -0    src/faces/processtable/contents/ui/FullRepresentation.qml

https://invent.kde.org/plasma/plasma-systemmonitor/commit/b7d26345f8a43c9297bc46601d4f5f1fdf80a9dc